Subject: bug#58774: 29.0.50; [WISH]: Let us make EWW browse WWW Org files correctly

From: "Dr. Arne Babenhauserheide" <[email-masked]>
Date: Thu, 27 Oct 2022 23:43:11 +0200

Jean Louis <[email-masked]> writes:

> * Dr. Arne Babenhauserheide <[email-masked]> [2022-10-27 14:23]:
>> 
>> Jean Louis <[email-masked]> writes:
>> 
>> > * Jean Louis <[email-masked]> [2022-10-25 15:14]:
>> >> 
>> >> This wish request is related to Emacs EWW and Org mode.
>> >> 
>> >> Please make EWW recognize Org file when served by WWW server. Currently
>> >> it does not recognize the MIME type text/x-org and opens the file as
>> >> text, it does not invoke the org mode. In my opinion, it should.
>> >
>> > Now is clear that main problem here is that Org advertises somewhere
>> > to be "text" in MIME context, while it is not, it is by default
>> > "application" and thus unsafe, see:
>> >
>> > Application Media Types
>> > https://datatracker.ietf.org/doc/html/rfc6838#section-4.2.5
>> >
>> > and understand difference to:
>> >
>> > Text Media Types
>> > https://datatracker.ietf.org/doc/html/rfc6838#section-4.2.1
>> >
>> > Thus I suggest that Org changes its MIME type and stop falsely
>> > claiming to be "text" in MIME context, but that content type:
>> > "application/x-org" become adopted, as that way it will become clear
>> > that it is unsafe opening Org as falsely claimed "plain" text.
>> 
>> You are mixing up text/plain and text/*. Orgmode is clearly text/* but
>> not text/plain. From your link:
>
> How do I mix it?

The paragraph about plain text only applies to text/plain.

The following paragraph shows clearly that org-mode is rich-text,
because it can be read without specialized program. And it is: I
sometimes read org-mode documents with nano.

>>    Beyond plain text, there are many formats for representing what might
>>    be known as "rich text".  An interesting characteristic of many such
>>    representations is that they are to some extent readable even without
>>    the software that interprets them.  It is useful to distinguish them,
>>    at the highest level, from such unreadable data as images, audio, or
>>    text represented in an unreadable form.  In the absence of
>>    appropriate interpretation software, it is reasonable to present
>>    subtypes of "text" to the user, while it is not reasonable to do so
>>    with most non-textual data.  Such formatted textual data can be
>>    represented using subtypes of "text".
>
> Org is not just rich text for reason as explained here:
> https://datatracker.ietf.org/doc/html/rfc6838#section-4.2.5 so I
> suggest reading it.

    This is information that must be processed by an application before it is
    viewable or usable by a user"

That is very much *not* the case for org-mode documents.

You’ll have to quote a specific point you mean, because I do not find
anything that supports your point in there.

Best wishes,
Arne
-- 
Unpolitisch sein
heißt politisch sein,
ohne es zu merken.
draketo.de